package cn.fw.valhalla.domain.vo.pool;

import cn.fw.valhalla.domain.enums.ClueStatusEnum;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : StammkundePoolVO
 * @description : 保有客池
 * @date: 2020-11-19 17:27
 */
@Data
@ToString
public class CustomerCluePoolVO {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 线索类型
     */
    private Integer type;
    private Date addTime;
    /**
     * 线索创建时间
     */
    private Date createDate;
    /**
     * 线索到期时间
     */
    private Date deadline;
    /**
     * 线索状态
     */
    private Integer status;
    /**
     * 成交时间
     */
    private Date finishTime;
    /**
     * 成交人员
     */
    private String finishUser;
    /**
     * 成交门店
     */
    private String finishShop;
    /**
     * 初始跟进人名称
     */
    private String originalUser;
    /**
     * 初始跟进门店名称
     */
    private String originalShop;
    /**
     * 战败时间
     */
    private Date defeatTime;

    public Date getFinishTime() {
        if (ClueStatusEnum.FAILURE.getValue().equals(status)) {
            return null;
        }
        return finishTime;
    }

    public Date getDefeatTime() {
        if (ClueStatusEnum.COMPLETE.getValue().equals(status)) {
            return null;
        }
        return defeatTime;
    }
}
