package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.pool.StammkundePool;
import cn.fw.valhalla.domain.dto.StammkundePoolDTO;
import cn.fw.valhalla.domain.query.StammkundePoolQueryVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author : kurisu
 * @className : StammkundePoolService
 * @description : 保有客池
 * @date: 2020-11-11 17:24
 */
public interface StammkundePoolService extends IService<StammkundePool> {
    /**
     * 作废有效档案
     *
     * @param customerId
     * @param groupId
     * @return
     */
    boolean reject(Long customerId, Long groupId);

    /**
     * 作废有效档案
     *
     * @param userId
     * @param shopId
     * @param groupId
     * @return
     */
    boolean reject(Long userId, Long shopId, Long groupId);

    /**
     * 激活档案
     *
     * @param customerId
     * @param groupId
     * @param shopId
     */
    void aktiv(Long customerId, Long groupId, Long shopId);

    /**
     * 激活档案
     *
     * @param id
     */
    void aktiv(Long id);

    /**
     * 查询可激活的档案
     *
     * @param customerId
     * @param groupId
     * @param shopId
     * @return
     */
    StammkundePool queryAktivAble(Long customerId, Long groupId, Long shopId);

    /**
     * 保有客池
     *
     * @param queryVO
     * @return
     */
    List<StammkundePoolDTO> stammkundeList(StammkundePoolQueryVO queryVO);

    /**
     * 保有客池总数
     * @param queryVO
     * @return
     */
    long stammkundeListCount(StammkundePoolQueryVO queryVO);
}
